For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTEvaluate an Unleash context against a change request preview.
      • POSTEvaluate an Unleash context against a set of environments and projects.
      • POSTBatch evaluate an Unleash context against a set of environments and projects.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIPlayground

Evaluate an Unleash context against a change request preview.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/playground/change-request/:id
POST
/api/admin/playground/change-request/:id
$curl -X POST https://app.unleash-instance.example.com/api/admin/playground/change-request/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "context": {
> "appName": "My cool application."
> }
>}'
1{
2 "input": {
3 "environments": [
4 "development",
5 "production"
6 ],
7 "context": {
8 "appName": "My cool application.",
9 "currentTime": "2022-07-05T12:56:41+02:00",
10 "properties": {
11 "customContextField": "this is one!",
12 "otherCustomField": "3"
13 },
14 "remoteAddress": "192.168.1.1",
15 "sessionId": "b65e7b23-fec0-4814-a129-0e9861ef18fc",
16 "userId": "username@provider.com",
17 "environment": "string"
18 },
19 "projects": [
20 "my-project"
21 ]
22 },
23 "features": [
24 {
25 "name": "my-feature",
26 "projectId": "my-project",
27 "environments": {}
28 }
29 ],
30 "warnings": {
31 "invalidContextProperties": [
32 "string"
33 ]
34 }
35}

Enterprise feature

Use the provided context to evaluate toggles on this Unleash instance with a change request applied in preview mode. You can use comma-separated values to provide multiple values to each context field. Returns a combinatorial list of all toggles that match the parameters and what they evaluate to.

Was this page helpful?
Previous

Evaluate an Unleash context against a set of environments and projects.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idstringRequired

Request

changeRequestPlaygroundRequestSchema
contextobjectRequired
The Unleash context as modeled in client SDKs

Response

advancedPlaygroundResponseSchema
inputobject
The given input used to evaluate the features.
featureslist of objects
The list of features that have been evaluated.
warningsobject
Warnings that occurred during evaluation.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error